JTS Topology Suite version 1.13

## com.vividsolutions.jts.io.gml2
Class GeometryStrategies

    java.lang.Object
      com.vividsolutions.jts.io.gml2.GeometryStrategies

    public class GeometryStrategies

extends java.lang.Object

Container for GML2 Geometry parsing strategies which can be represented in JTS.

Author:
  David Zwiers, Vivid Solutions.

Constructor Summary
`GeometryStrategies()`

Method Summary
`static com.vividsolutions.jts.io.gml2.GeometryStrategies.ParseStrategy` `findStrategy(java.lang.String uri, java.lang.String localName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeometryStrategies

    public GeometryStrategies()

Method Detail

### findStrategy

    public static com.vividsolutions.jts.io.gml2.GeometryStrategies.ParseStrategy findStrategy(java.lang.String uri,
                                                                                               java.lang.String localName)

  Parameters:
    `uri` - Not currently used, included for future work
    `localName` - Used to look up an appropriate parse strategy
  Returns:
    The ParseStrategy which should be employed
  See Also:
    `ParseStrategy`

JTS Topology Suite version 1.13